> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send typing indicator

> Sends a typing indicator to a chat.

**Required scopes:** <Tooltip tip="To send the typing indicator to a chat taking place in any group.">`chats--all:rw`</Tooltip> or <Tooltip tip="To send the typing indicator to a chat taking place in groups that the requester (related to the token) is a member of. The agent groups and the chat groups must intersect — at least one group must be common.">`chats--access:rw`</Tooltip>


## OpenAPI

````yaml /api/agent-chat/v3.7/openapi.json post /action/send_typing_indicator
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/agent
    description: Production server
security: []
paths:
  /action/send_typing_indicator:
    post:
      tags:
        - Other
      summary: Send typing indicator
      description: Sends a typing indicator to a chat.
      operationId: send-typing-indicator
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendTypingIndicatorRequest'
            example:
              chat_id: PJ0MRSHTDG
              is_typing: true
      responses:
        '200':
          description: Typing indicator sent.
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - chats--all:rw
components:
  schemas:
    SendTypingIndicatorRequest:
      type: object
      required:
        - chat_id
        - is_typing
      properties:
        chat_id:
          type: string
          description: The ID of the chat to send the typing indicator to.
        visibility:
          type: string
          default: all
          description: The visibility of the typing indicator.
          enum:
            - all
            - agents
        is_typing:
          type: boolean
          description: >-
            If set to `true`: the typing indicator is shown. If set to `false`:
            the typing indicator is hidden.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````